Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001306 [1003.1(2016)/Issue7+TC2] Shell and Utilities Editorial Enhancement Request 2019-12-16 22:38 2020-02-19 17:27
Reporter steffen View Status public  
Assigned To
Priority normal Resolution Accepted  
Status Interpretation Required  
Name Steffen Nurpmeso
Organization
User Reference
Section Vol. 3: Shell and Utilities, mailx
Page Number 2951
Line Number 97809
Interp Status Approved
Final Accepted Text See Note: 0004716.
Summary 0001306: Documented folder= behaviour contradicts implementations (of folders command)
Description POSIX documents

  If folder is unset or set to null, user-specified filenames beginning with '+' shall refer to files in the current directory that begin with the literal '+' character.

This does not reflect behaviour of BSD Mail (since introduction in 1982-03-15), which simply calls getfold() of same commit, and here NOSTR is NULL indeed:

<code>
+ if (name[0] == '+' && getfold(cmdbuf) >= 0) {
+ sprintf(xname, "%s/%s", cmdbuf, name + 1);
+ return(expand(savestr(xname)));
+ }

+getfold(name)
+ char *name;
+{
+ char *folder;
+
+ if ((folder = value("folder")) == NOSTR)
+ return(-1);
+ if (*folder == '/')
+ strcpy(name, folder);
+ else
+ sprintf(name, "%s/%s", homedir, folder);
+ return(0);
+}
</code>

Unix V10 (V8 has not any of this) derives from the above, but .. maybe has had time pressure and did the false

<code>
        if (name[0] == '+') {
                cp = expand(++name);
                if (*cp != '/' && getfold(cmdbuf) >= 0) {
                        sprintf(xname, "%s/%s", cmdbuf, cp);
                        cp = savestr(xname);
                }
                if (debug) fprintf(stderr, "%s\n", cp);
                return cp;
</code>

Since the folders command simply provides a listing of the directory represented by folder= a.k.a. getfold()>=0 (done like that by all), i see no ground for POSIX's "or set to null".
Desired Action On line 97814, change

  nofolder. If folder is unset or set to null, user-specified filenames

to

  nofolder. If folder is unset, user-specified filenames
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004716)
Don Cragun (manager)
2020-01-09 17:32

Interpretation response
------------------------
The standard states that a null option-argument to the folders command must produce an error, and conforming implementations must conform to this. However, concerns have been raised about this which are being referred to the sponsor.

Rationale:
-------------
This is not the way existing implementations behave.

Notes to the Editor (not part of this interpretation):
    Make the changes suggested in the Desired Action.
(0004717)
agadmin (administrator)
2020-01-10 17:43

Interpretation proposed: 10 January 2020
(0004785)
ajosey (manager)
2020-02-19 17:27

Interpretation approved: 19 Feb 2020

- Issue History
Date Modified Username Field Change
2019-12-16 22:38 steffen New Issue
2019-12-16 22:38 steffen Name => Steffen Nurpmeso
2019-12-16 22:38 steffen Section => Vol. 3: Shell and Utilities, mailx
2019-12-16 22:38 steffen Page Number => 2951
2019-12-16 22:38 steffen Line Number => 97809
2020-01-09 17:32 Don Cragun Interp Status => ---
2020-01-09 17:32 Don Cragun Note Added: 0004716
2020-01-09 17:32 Don Cragun Status New => Interpretation Required
2020-01-09 17:32 Don Cragun Resolution Open => Accepted
2020-01-09 17:33 Don Cragun Final Accepted Text => See Note: 0004716.
2020-01-09 17:33 Don Cragun Tag Attached: tc3-2008
2020-01-10 17:43 agadmin Interp Status --- => Proposed
2020-01-10 17:43 agadmin Note Added: 0004717
2020-02-19 17:27 ajosey Interp Status Proposed => Approved
2020-02-19 17:27 ajosey Note Added: 0004785


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker